namespace Server.Config
{
    public partial class ResData
    {
        public GameMessage.ResData Convert()
        {
            GameMessage.ResData resData = new GameMessage.ResData();
            resData.Id = this.Id;
            resData.Count = this.Count;
            return resData;
        }
        
        public GameMessage.ResData Convert(int count)
        {
            GameMessage.ResData resData = new GameMessage.ResData();
            resData.Id = this.Id;
            resData.Count = this.Count * count;
            return resData;
        }
    }
}